Jump to content

Probleme beim starten des Forge 1.7.10 Servers


Schule
 Share

Recommended Posts

Hey ich arbeite momentan an meinem Raspberry Pi 4 (mit Raspbian als Betriebssystem) und bin auf die Idee gekomen mir dort einen Forgeserver zu installieren. Alles hat soweit funktioniert und ich habe den Server installiert. Jedoch kann ich nur den normalen 1.7.10 Server ohne Forge starten. Wenn ich versuche die in dem Ordner mit gelieferte Forgedatei auszuführen kommt dieses Problem hier: (Eula ist schon akzeptiert und der normal 1.7.10 Server funktioniert und ist betretbar)

[email protected]:~/Desktop/Server $ java -Xms500M -Xmx650M -jar forge-1.7.10-10.13.4.1558-1.7.10-universal.jar nogui
A problem occurred running the Server launcher.java.lang.reflect.InvocationTargetException
	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.base/java.lang.reflect.Method.invoke(Method.java:566)
	at cpw.mods.fml.relauncher.ServerLaunchWrapper.run(ServerLaunchWrapper.java:43)
	at cpw.mods.fml.relauncher.ServerLaunchWrapper.main(ServerLaunchWrapper.java:12)
Caused by: java.lang.ClassCastException: class jdk.internal.loader.ClassLoaders$AppClassLoader cannot be cast to class java.net.URLClassLoader (jdk.internal.loader.ClassLoaders$AppClassLoader and java.net.URLClassLoader are in module java.base of loader 'bootstrap')
	at net.minecraft.launchwrapper.Launch.<init>(Launch.java:34)
	at net.minecraft.launchwrapper.Launch.main(Launch.java:28)
	... 6 more

Kann mir jemand evtl. mit Lösungsweg weiterhelfen? Danke schon einmal im Voraus an alle die es Versuchen. 

Link to comment
Share on other sites

Ich habe jetzt die version 8 von Java opendjk installiert allerdings übernimmt es das nicht:

[email protected]:~ $ java -version
openjdk version "11.0.6" 2020-01-14
OpenJDK Runtime Environment (build 11.0.6+10-post-Raspbian-1deb10u1)
OpenJDK Server VM (build 11.0.6+10-post-Raspbian-1deb10u1, mixed mode)
 

zuvor das hier ausgeführt:

sudo apt update

sudo apt install openjdk-8-jdk openjdk-8-jre

Link to comment
Share on other sites

Genau das habe ich schon gemacht und gerade eben sogar den Raspberry Pi neugestartet aber immer noch die gleiche Version: 

[email protected]:~ $ java -version
openjdk version "11.0.6" 2020-01-14
OpenJDK Runtime Environment (build 11.0.6+10-post-Raspbian-1deb10u1)
OpenJDK Server VM (build 11.0.6+10-post-Raspbian-1deb10u1, mixed mode)
 

Hier der beweis das es installiert ist:

[email protected]:~ $ sudo apt install openjdk-8-jdk openjdk-8-jre
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
openjdk-8-jdk ist schon die neueste Version (8u212-b01-1+rpi1).
openjdk-8-jre ist schon die neueste Version (8u212-b01-1+rpi1).
 

Link to comment
Share on other sites

Was wird bei

$ sudo update-alternatives --config java

angezeigt? Hast du da eine Liste mit den Java-Versionen?

Falls ja, wähle die 8er Version aus und gibt danach nochmal java -version ein

Link to comment
Share on other sites

Sorry das es so lange gedauert hat (hatte zu tun). Es gibt nun wieder einen neuen Fehler (habe auf java 8 gewechselt).

[email protected]:~/Desktop/Server$ java -jar forge-1.7.10-10.13.4.1558-1.7.10-universal.jar
[12:29:38] [main/INFO] [LaunchWrapper]: Loading tweak class name cpw.mods.fml.common.launcher.FMLServerTweaker
[12:29:39] [main/INFO] [LaunchWrapper]: Using primary tweak class name cpw.mods.fml.common.launcher.FMLServerTweaker
[12:29:39] [main/INFO] [LaunchWrapper]: Calling tweak class cpw.mods.fml.common.launcher.FMLServerTweaker
[12:29:39] [main/INFO] [FML]: Forge Mod Loader version 7.99.36.1558 for Minecraft 1.7.10 loading
[12:29:39] [main/INFO] [FML]: Java is OpenJDK 64-Bit Server VM, version 1.8.0_242, running on Linux:aarch64:5.3.0-1021-raspi2, installed at /usr/lib/jvm/java-8-openjdk-arm64/jre
[12:29:39] [main/INFO] [LaunchWrapper]: Loading tweak class name cpw.mods.fml.common.launcher.FMLInjectionAndSortingTweaker
[12:29:39] [main/INFO] [LaunchWrapper]: Loading tweak class name cpw.mods.fml.common.launcher.FMLDeobfTweaker
[12:29:39] [main/INFO] [LaunchWrapper]: Calling tweak class cpw.mods.fml.common.launcher.FMLInjectionAndSortingTweaker
[12:29:39] [main/INFO] [LaunchWrapper]: Calling tweak class cpw.mods.fml.common.launcher.FMLInjectionAndSortingTweaker
[12:29:39] [main/INFO] [LaunchWrapper]: Calling tweak class cpw.mods.fml.relauncher.CoreModManager$FMLPluginWrapper
[12:29:43] [main/INFO] [FML]: Found valid fingerprint for Minecraft Forge. Certificate fingerprint e3c3d50c7c986df74c645c0ac54639741c90a557
[12:29:43] [main/INFO] [LaunchWrapper]: Calling tweak class cpw.mods.fml.relauncher.CoreModManager$FMLPluginWrapper
[12:29:43] [main/INFO] [LaunchWrapper]: Calling tweak class cpw.mods.fml.common.launcher.FMLDeobfTweaker
[12:29:46] [main/INFO] [LaunchWrapper]: Loading tweak class name cpw.mods.fml.common.launcher.TerminalTweaker
[12:29:46] [main/INFO] [LaunchWrapper]: Calling tweak class cpw.mods.fml.common.launcher.TerminalTweaker
[12:29:47] [main/INFO] [LaunchWrapper]: Launching wrapped minecraft {net.minecraft.server.MinecraftServer}
[12:29:58] [main/ERROR] [LaunchWrapper]: Unable to launch
java.lang.reflect.InvocationTargetException
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) ~[?:1.8.0_242]
    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62) ~[?:1.8.0_242]
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) ~[?:1.8.0_242]
    at java.lang.reflect.Method.invoke(Method.java:498) ~[?:1.8.0_242]
    at net.minecraft.launchwrapper.Launch.launch(Launch.java:135) [launchwrapper-1.12.jar:?]
    at net.minecraft.launchwrapper.Launch.main(Launch.java:28) [launchwrapper-1.12.jar:?]
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) ~[?:1.8.0_242]
    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62) ~[?:1.8.0_242]
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) ~[?:1.8.0_242]
    at java.lang.reflect.Method.invoke(Method.java:498) ~[?:1.8.0_242]
    at cpw.mods.fml.relauncher.ServerLaunchWrapper.run(ServerLaunchWrapper.java:43) [forge-1.7.10-10.13.4.1558-1.7.10-universal.jar:?]
    at cpw.mods.fml.relauncher.ServerLaunchWrapper.main(ServerLaunchWrapper.java:12) [forge-1.7.10-10.13.4.1558-1.7.10-universal.jar:?]
Caused by: java.awt.AWTError: Assistive Technology not found: org.GNOME.Accessibility.AtkWrapper
    at java.awt.Toolkit.loadAssistiveTechnologies(Toolkit.java:807) ~[?:1.8.0_242]
    at java.awt.Toolkit.getDefaultToolkit(Toolkit.java:886) ~[?:1.8.0_242]
    at javax.swing.UIManager.getSystemLookAndFeelClassName(UIManager.java:611) ~[?:1.8.0_242]
    at net.minecraft.server.gui.MinecraftServerGui.func_120016_a(MinecraftServerGui.java:48) ~[ly.class:?]
    at net.minecraft.server.dedicated.DedicatedServer.func_120011_ar(DedicatedServer.java:417) ~[lt.class:?]
    at net.minecraft.server.MinecraftServer.main(MinecraftServer.java:1357) ~[MinecraftServer.class:?]
    ... 12 more
A problem occurred running the Server launcher.[12:29:58] [main/INFO] [STDERR]: [java.lang.Throwable$WrappedPrintStream:println:749]: java.lang.reflect.InvocationTargetException
[12:29:58] [main/INFO] [STDERR]: [java.lang.Throwable$WrappedPrintStream:println:749]:     at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
[12:29:58] [main/INFO] [STDERR]: [java.lang.Throwable$WrappedPrintStream:println:749]:     at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
[12:29:58] [main/INFO] [STDERR]: [java.lang.Throwable$WrappedPrintStream:println:749]:     at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
[12:29:58] [main/INFO] [STDERR]: [java.lang.Throwable$WrappedPrintStream:println:749]:     at java.lang.reflect.Method.invoke(Method.java:498)
[12:29:58] [main/INFO] [STDERR]: [java.lang.Throwable$WrappedPrintStream:println:749]:     at cpw.mods.fml.relauncher.ServerLaunchWrapper.run(ServerLaunchWrapper.java:43)
[12:29:58] [main/INFO] [STDERR]: [java.lang.Throwable$WrappedPrintStream:println:749]:     at cpw.mods.fml.relauncher.ServerLaunchWrapper.main(ServerLaunchWrapper.java:12)
[12:29:58] [main/INFO] [STDERR]: [java.lang.Throwable$WrappedPrintStream:println:749]: Caused by: cpw.mods.fml.relauncher.FMLSecurityManager$ExitTrappedException
[12:29:58] [main/INFO] [STDERR]: [java.lang.Throwable$WrappedPrintStream:println:749]:     at cpw.mods.fml.relauncher.FMLSecurityManager.checkPermission(FMLSecurityManager.java:25)
[12:29:58] [main/INFO] [STDERR]: [java.lang.Throwable$WrappedPrintStream:println:749]:     at java.lang.SecurityManager.checkExit(SecurityManager.java:761)
[12:29:58] [main/INFO] [STDERR]: [java.lang.Throwable$WrappedPrintStream:println:749]:     at java.lang.Runtime.exit(Runtime.java:108)
[12:29:58] [main/INFO] [STDERR]: [java.lang.Throwable$WrappedPrintStream:println:749]:     at java.lang.System.exit(System.java:973)
[12:29:58] [main/INFO] [STDERR]: [java.lang.Throwable$WrappedPrintStream:println:749]:     at net.minecraft.launchwrapper.Launch.launch(Launch.java:138)
[12:29:58] [main/INFO] [STDERR]: [java.lang.Throwable$WrappedPrintStream:println:749]:     at net.minecraft.launchwrapper.Launch.main(Launch.java:28)
[12:29:58] [main/INFO] [STDERR]: [java.lang.Throwable$WrappedPrintStream:println:749]:     ... 6 more
 

Vielen Dank fuer die bisherige Hilfe hoffe du kannst auch das hier loesen. 

Link to comment
Share on other sites

Schau mal, ob du in die properties kommst:

sudo vim /etc/java-8-openjdk/accessibility.properties

Suche dort dann den Eintrag "assistive_technologies" und setze eine # davor

#assistive_technologies=org.GNOME.Accessibility.AtkWrapper

 

Link to comment
Share on other sites

  • 1 year later...

Hallo,

habe das selbe problem aber auf windows was kann ich da tun?

A problem occurred running the Server launcher.java.lang.reflect.InvocationTargetException
        at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)
        at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
        at java.base/java.lang.reflect.Method.invoke(Method.java:568)
        at net.minecraftforge.fml.relauncher.ServerLaunchWrapper.run(ServerLaunchWrapper.java:62)
        at net.minecraftforge.fml.relauncher.ServerLaunchWrapper.main(ServerLaunchWrapper.java:31)
Caused by: java.lang.ClassCastException: class jdk.internal.loader.ClassLoaders$AppClassLoader cannot be cast to class java.net.URLClassLoader (jdk.internal.loader.ClassLoaders$AppClassLoader and java.net.URLClassLoader are in module java.base of loader 'bootstrap')
        at net.minecraft.launchwrapper.Launch.<init>(Launch.java:34)
        at net.minecraft.launchwrapper.Launch.main(Launch.java:28)
        ... 6 more
Drücken Sie eine beliebige Taste . . .

Link to comment
Share on other sites

Die Java Version passt nicht

 

Für Minecraft 1.16.5 und älter benötigst du Java 8

Für Minecraft 1.17: Java 16

Für Minecraft 1.18: Java 17

 

Wenn du mehrere Java Versionen installiert hast, müsstest du in der start.bat den Pfad zur Java Version setzen

Als Beispiel für einen Forge 1.12.2 Server:
 

"C:\Program Files\Java\jre1.8.0_311\bin\javaw.exe" -Xmx2048M -Xms2048M -jar forge_server.jar
pause

Die "" müssen bleiben - auch der Name der forge_server.jar muss mit der forge jar im server-Ordner übereinstimmen

Schau auch, dass der Pfad zu Java stimmt - evtl. hast du eine ältere oder neuere Java 8 version

Die aktuelle Version von Java 8 wäre jre1.8.0_321 - die ist aktuell nicht zu empfehlen, da dieses Build noch bei manchen für Probleme sorgt

Link to comment
Share on other sites

  • 7 months later...

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...
B